#!/bin/bash
# Script to launch the default Python when left unspecified.  Prefers python3 over python.
# Currently used only for the remote agent.

OUTPUT=`python3 -c "print('YESIEXIST')" 2> /dev/null`
if [ "${OUTPUT}" = "YESIEXIST" ]; then
  python3 "$@"
else
  python "$@"
fi
